Commit 97d17c81 authored by Olivier Aubert's avatar Olivier Aubert
Browse files

python bindings: indicate that old python bindings are deprecated.

To build the old version, you have to pass the --force-deprecated option to the setup.py script.
parent e8b95df9
********************************************
IMPORTANT NOTE
********************************************
This native version of VLC bindings is now deprecated. Please use the
new ctypes-based bindings, which can be found in the
bindings/python-ctypes directory of the VLC source tree.
* Testing
If you try to compile the bindings from a development tree, you will
......
import sys
from distutils.core import setup, Extension
import os
import commands
......@@ -76,6 +77,22 @@ def get_ldflags():
ldflags.append('-lvlc')
return ldflags
# Import
if '--force-deprecated' in sys.argv:
sys.argv.remove('--force-deprecated')
else:
print """This native version of VLC bindings is now deprecated.
Please use the new ctypes-based bindings, which can be built from the
bindings/python-ctypes directory of the VLC source tree, or directly
get the generated python module from
http://www.advene.org/download/python-ctypes
However, if you insist on building this deprecated version, you should
pass the --force-deprecated option on the setup.py command line.
"""
sys.exit(1)
#source_files = [ 'vlc_module.c', 'vlc_mediacontrol.c',
# 'vlc_position.c', 'vlc_instance.c', 'vlc_input.c' ]
source_files = [ 'vlc_module.c' ]
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment